import http from "../index";
//登录
const Login = (query: any) => {
  return http({
    url: `/kf/auth/login`,
    method: "post",
    data: query,
  });
};
//新增询价单
const InquiryAdd = (query: any) => {
  return http({
    url: `/inquiryAdd`,
    method: "get",
    data: query,
  });
};
//快捷回复
const Kjiehuifu = (query: any) => {
  return http({
    url: "/Kjiehuifu",
    method: "get",
    data: query,
  });
};
//获取用户列表
const getUserList = (query: any) => {
  return http({
    url: "/kf/chat/getChatList",
    method: "get",
    params: query,
  });
};
//查看未读消息
const checkMesssages = (query: any) => {
  return http({
    url: "/kf/chat/getChatHisList",
    method: "get",
    params: query,
  });
};
//上传接口

const getUploadConfigInfo = (query: any) => {
  return http({
    url: "/upload/getUploadConfigInfo",
    method: "get",
    data: query,
  });
};
//系统上传
const upload = (query: any) => {
  return http({
    url: "/sys/common/upload",
    method: "post",
    data: query,
  });
};
//删除
const deleteUserList = (query: any) => {
  return http({
    url: `/deleteUserList`,
    method: "delete",
    params: query,
  });
};
export {
  Login,
  InquiryAdd,
  Kjiehuifu,
  getUserList,
  checkMesssages,
  upload,
  getUploadConfigInfo,
  deleteUserList,
};
